Backdating to mysql 4 with fc5 and virtualmin

I’m running a xen box, fc5 with a fc5 guest vm. (Linux version 2.6.16-1.2122_FC5xenU (bhcompile@hs20-bc1-3.build.redhat.com) (gcc version 4.1.0 20060304 (Red Hat 4.1.0-3)) #1 SMP Sun May 21 15:52:00 EDT 2006
)

I’m porting a site from an ensim box that has a heavily modified oscommerce cart on it. The cart won’t run under mysql 5 without tons of manual mod’s.

How can I backdate to mysql 4.x and php4.x to get this site up. Every time I get where I think I need to be, some dependency loads mysql5.

I’m be the first to admin that I have no idea what I’m doing, and since I don’t see this anywhere on the web it’s probably a piece of cake, but could someone show me the light?

Thanks!

Hey Mark,

Unfortunately, it’s not a piece of cake. The best bet, and my recommendation, would be to install CentOS 4 which does have PHP4 and MySQL 4, by default. :wink:

But there is hope. PHP 4 that can peacefully co-exist with PHP5 for FC5 is already available in our repos (I see you’re not a Professional customer yet, so you won’t have access to our repos, but I’ll see about getting them into a public repo so you can grab them…I’ve been meaning to do that anyway, I just need to write the scripts to automate replication across the various repositories). MySQL 4 is a harder nut to crack…and I’m not sure what to tell you on that front, as we’ll never be providing MySQL 4 on FC5. You could grab the source version and install into /usr/local, and then update all of your various scripts to know how to talk to it (remember to shutdown MySQL5 and make sure it doesn’t start on boot, as they’ll fight over the ports if they’re setup to run on the network rather than just through a socket).

I’ll ping this thread once I get the PHP4 packages for FC someplace you can get to them.